# EulerV2Payback

### Description

Payback debt assets to a Euler vault

### Action ID

`0xda58dfbe`

### SDK Action

```ts
const eulerV2PaybackAction = new dfs.actions.eulerV2.EulerV2PaybackAction(
    vault,
    tokenAddress,
    account,
    from,
    amount
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param vault The address of the vault
    /// @param account The address of the Euler account, defaults to user's wallet
    /// @param from The address from which to pull tokens to be paid back
    /// @param amount The amount of assets to pay back (uint256.max for full debt repayment)
    struct Params {
        address vault;
        address account;
        address from;
        uint256 amount;
    }
```

### Return Value

```solidity
return bytes32(paybackAmount);
```

### Events and Logs

```solidity
emit ActionEvent("EulerV2Payback", logData);
logger.logActionDirectEvent("EulerV2Payback", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/eulerv2/eulerv2payback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
